apiVersion: v1
kind: ConfigMap
metadata:
  name: wizard-script
data:
  wizard.py: |
    import os

    def main():
      # run setup wizard and additional scripts here

      print(os.environ.get("LANGUAGE", "LANGUAGE not set"))
      print(os.environ.get("COUNTRY", "COUNTRY not set"))
      print(os.environ.get("TIMEZONE", "TIMEZONE not set"))
      print(os.environ.get("CURRENCY", "CURRENCY not set"))
      print(os.environ.get("FULL_NAME", "FULL_NAME not set"))
      print(os.environ.get("EMAIL", "EMAIL not set"))
      print(os.environ.get("PASSWORD", "PASSWORD not set"))
      print(os.environ.get("DOMAINS", "DOMAINS not set"))
      print(os.environ.get("COMPANY_NAME", "COMPANY_NAME not set"))
      print(os.environ.get("COMPANY_ABBR", "COMPANY_ABBR not set"))
      print(os.environ.get("COMPANY_TAGLINE", "COMPANY_TAGLINE not set"))
      print(os.environ.get("BANK_ACCOUNT", "BANK_ACCOUNT not set"))
      print(os.environ.get("CHART_OF_ACCOUNTS", "CHART_OF_ACCOUNTS not set"))
      print(os.environ.get("FY_START_DATE", "FY_START_DATE not set"))
      print(os.environ.get("FY_END_DATE", "FY_END_DATE not set"))

    if __name__ == "__main__":
        main()
